- entityDefinitions:
  - IDC_BuildDynamicInstanceOp: '{622edf0d-5e3d-49fd-9764-33aa304addf4}'

  - IDR_Build_Dynamic_Instance_Op__builds_dynamic__Class: '{e43ace17-110c-494f-8c68-4302785da3ca}'
  - IDR_Class__dynamically_built_for__Build_Dynamic_Instance_Op: '{b5b1c72d-834f-4ceb-808e-4afba5991262}'
  - IDR_Build_Dynamic_Instance_Op__assigns_instance_data_from__Parameter_Assignment: '{f5b1f747-fae3-4318-958b-a64f7cdd8b42}'
  - IDR_Parameter_Assignment__for_assign_instance_data_for__Build_Dynamic_Instance_Op: '{1f58b5d3-b87d-409b-9a84-71b51f030461}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_BuildDynamicInstanceOp;'
    name: Build Dynamic Instance Op
    index: 4510
    superclasses:
    - instance: '&IDC_InstanceOp;'
  
  - relationship: '&IDR_Build_Dynamic_Instance_Op__builds_dynamic__Class;'
    index: 12794
    sourceClassId: '&IDC_BuildDynamicInstanceOp;'
    type: 'builds dynamic'
    destinationClassId: '&IDC_Class;'
    siblingRelationshipId: '&IDR_Class__dynamically_built_for__Build_Dynamic_Instance_Op;'
    singular: yes

  - relationship: '&IDR_Class__dynamically_built_for__Build_Dynamic_Instance_Op;'
    index: 12795
    sourceClassId: '&IDC_Class;'
    type: 'dynamically built for'
    destinationClassId: '&IDC_BuildDynamicInstanceOp;'
    siblingRelationshipId: '&IDR_Build_Dynamic_Instance_Op__builds_dynamic__Class;'
    singular: no

  - relationship: '&IDR_Build_Dynamic_Instance_Op__assigns_instance_data_from__Parameter_Assignment;'
    index: 12796
    sourceClassId: '&IDC_BuildDynamicInstanceOp;'
    type: 'assigns instance data from'
    destinationClassId: '&IDC_ParameterAssignment;'
    siblingRelationshipId: '&IDR_Parameter_Assignment__for_assign_instance_data_for__Build_Dynamic_Instance_Op;'
    singular: yes

  - relationship: '&IDR_Parameter_Assignment__for_assign_instance_data_for__Build_Dynamic_Instance_Op;'
    index: 12797
    sourceClassId: '&IDC_ParameterAssignment;'
    type: 'for assign instance data for'
    destinationClassId: '&IDC_BuildDynamicInstanceOp;'
    siblingRelationshipId: '&IDR_Build_Dynamic_Instance_Op__assigns_instance_data_from__Parameter_Assignment;'
    singular: no
